Summary: MythTV remote access libraries
Name: gmyth
Version: 0.7.1
Release: 1%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: COPYING.LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://gmyth.sf.net
BuildRequires: mysql-devel curl-devel libxml2-devel glib2-devel

%description
GMyth is a library used by applications to access content provided by the
MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or
TV listings.

%package devel
Summary: Development libraries for MythTV remote access
Group: Development/Libraries
Requires: gmyth = %{version}-%{release}
Requires: pkgconfig glib2-devel mysql-devel curl-devel

%description devel
gmyth-devel contains development libraries and headers for the GMyth library.

%prep
%setup -q
# Upstream used the default license from the autotools, all the
# files and the project page says LGPL, see:
# http://sourceforge.net/tracker/index.php?func=detail&aid=1790620&group_id=177106&atid=879914
cp -a %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}
chmod a-x gmyth/*.[ch]

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LGPL
%{_bindir}/*
%{_libdir}/libgmyth.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gmyth
%{_libdir}/libgmyth.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Mar 03 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Feb 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Wed Dec 05 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-6
- Rebuild

* Tue Oct 09 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-5
- Add patch from upstream to avoid crashing when the port isn't
  defined (and the default doesn't work) (GNOME #483748)

* Fri Sep 21 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-4
- Add a dist flag to the release

* Sat Sep 08 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-3
- Fix permissions in installed files
- Fix Source usage for sourceforge
- Use correct license, as per upstream

* Thu Sep 06 2007 - Bastien Nocera <bnocera@redhat.com> - 0.4-2
- Updated with comments from Matthias Clasen

* Fri Aug 31 2007 - Bastien Nocera <bnocera@redhat.com> 0.4-1
- First version

